Commit 0fb06604 authored by prspkt's avatar prspkt Committed by Leo

testing/py3-us: upgrade to 2.0.2

* Add checkdepends and run test suite.
parent b6fcf4a4
......@@ -2,8 +2,8 @@
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=py3-us
_pkgname=us
pkgver=1.0.0
pkgrel=2
pkgver=2.0.2
pkgrel=0
pkgdesc="US state meta information and other fun stuff"
url="https://github.com/unitedstates/python-us"
arch="noarch"
......@@ -11,6 +11,7 @@ license="BSD-3-Clause"
replaces="py-us" # for backwards compatibility
provides="py-us=$pkgver-r$pkgrel" # for backwards compatibility
depends="py3-jellyfish py3-setuptools python3"
checkdepends="py3-pytest py3-tz"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz
fix-requires.patch"
builddir="$srcdir"/$_pkgname-$pkgver
......@@ -19,9 +20,13 @@ build() {
python3 setup.py build
}
check() {
pytest-3
}
package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="942e3b5af01e5ecab58fbc84905976ce57085e766bde00cc08f02586d7387069270a8927d6f6dbfcba324f290046763efe3d64c7568667dcf86f080048960a25 us-1.0.0.tar.gz
0eace56377766745f45b7842db073b8cc9f5752065fe0f2f8a8f974db03276fb9cae09cb6bb92d09b6d783f3d7eed5b058ba3eac536e51515e4fc8bc56b34c4b fix-requires.patch"
sha512sums="0e6d814c248dbebbeb3f452989357150fedd1a5fe5a03e710ea742fb1001411b093d7494d4f4312cb3ff11d772de9419b6f7ce5779bfc96b5c762d75a96bd31d us-2.0.2.tar.gz
dd6598d28ed9e9e3457b74d4f8cbff91e8993aff43a4634e6277223e5245fc0ea2e66f39fa1227ffb96447fbdccd23c28c8fa6f153f1616e39e0fc69b25f5cf4 fix-requires.patch"
--- a/setup.py
+++ b/setup.py
@@ -15,7 +15,7 @@
@@ -13,7 +13,7 @@
license="BSD",
packages=find_packages(),
package_data={'us': ['*.pkl']},
include_package_data=True,
- install_requires=['jellyfish==0.5.6'],
+ install_requires=['jellyfish>=0.5.6'],
entry_points={
'console_scripts': ['states = us.cli.states:main']},
platforms=['any'],
- install_requires=["jellyfish==0.6.1"],
+ install_requires=["jellyfish>=0.6.1"],
entry_points={"console_scripts": ["states = us.cli.states:main"]},
platforms=["any"],
classifiers=[
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment